Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85869 - Konqueror fails to run any Java Applets
Summary: Konqueror fails to run any Java Applets
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-09 22:46 UTC by Landon Curt Noll
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 13:10:48 UTC


Attachments (Terms of Use)

Description Landon Curt Noll 2003-03-09 22:46:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux; X11; , en)

Description of problem:
On a RH8.0 system with up2date RPMs, Konqueror fails to load
and run any Java Applets.

For example, on a system with kdebase-3.0.3-14 and
jdkgcj-0.2.3-1, the following Applet in this URL:

	http://www.fourmilab.ch/gravitation/orbits/

failed to do anything other than to say 'Loading Applet'.

In the Konqueror browser settings:

	Enable Java globally is checked
	Show Java console is checked (fails without it as well)
	Use Security Manager is checked (failed without it as well)
	Showdown Applet Server when inactive is checked (same here)
	Path to java executable: /usr/bin/java
	Additional Java Arguments: ((none given))

There is a Konqueror file association:

    application/x-java
	filename pattern: *.class
	Description: Java Class
	Application Pref order: ((none given))

    application/x-java-vm
	filename pattern: ((none given))
	Description: Java Applet: java (as /usr/bin/java)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use Konqueror to access: http://www.fourmilab.ch/gravitation/orbits/
2.
3.
    

Actual Results:  Applet fails to do anything other than to say 'Loading Applet'.

Expected Results:  Applet runs in Konqueror window

Additional info:

Other examples of Java Applets that do not run:

http://www.bennychow.com/pacman.htm
        http://clients.gamelet.com/snapple/speedway/final_applet/race.html

Comment 1 Ngo Than 2003-03-26 16:57:39 UTC
i don't know which Java version you have on your machine. You have to make sure that the  
IBMJava2 1.3.1 from AS is installed. 
 
It works fine for me with IBMJava2 -.3.1-3 from AS2.1. 

Comment 2 Landon Curt Noll 2003-03-29 19:07:18 UTC
I looked for IBMJava2 under RH Advanced RPM Search and found none. 
I looked for IBMJava2 under other RPM search tools and found none. 
 
Please supply a URL to this "IBMJava2 -.3.1-3" rpm so that I 
can test it. 

Comment 3 Ngo Than 2003-04-03 13:10:48 UTC
Hmm, you find it on CD in AS2.1. if you don't have AS2.1, i don't know, where
you could get it. perhaps from IBM ftp server.

Please try the java version from Sun. it works fine with RHL 9. You can download
j2re-1_4_1_02-fcs-linux-i586.rpm  directly from Sun ftp server.


Note You need to log in before you can comment on or make changes to this bug.